!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 183

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1287)
  integer, parameter :: nGC_9805 = 1
  integer, parameter :: nGC_9806 = 2
  integer, parameter :: nGC_9800 = 3
  integer, parameter :: nGC_9803 = 4
  integer, parameter :: nGC_9802 = 5
  integer, parameter :: nGC_MMW_GF = 6
  integer, parameter :: nGC_9809 = 7
  integer, parameter :: nGC_9808 = 8
  integer, parameter :: nGC_9655 = 9
  integer, parameter :: nGC_9656 = 10
  integer, parameter :: nGC_9657 = 11
  integer, parameter :: nGC_9652 = 12
  integer, parameter :: nGC_9653 = 13
  integer, parameter :: nGC_9658 = 14
  integer, parameter :: nGC_9659 = 15
  integer, parameter :: nGC_94 = 16
  integer, parameter :: nGC_147 = 17
  integer, parameter :: nGC_69 = 18
  integer, parameter :: nGC_17 = 19
  integer, parameter :: nGC_9571 = 20
  integer, parameter :: nGC_9573 = 21
  integer, parameter :: nGC_9572 = 22
  integer, parameter :: nGC_9574 = 23
  integer, parameter :: nGC_9577 = 24
  integer, parameter :: nGC_9576 = 25
  integer, parameter :: nGC_9793 = 26
  integer, parameter :: nGC_MZ_GF = 27
  integer, parameter :: nGC_9682 = 28
  integer, parameter :: nGC_9681 = 29
  integer, parameter :: nGC_9687 = 30
  integer, parameter :: nGC_9685 = 31
  integer, parameter :: nGC_9684 = 32
  integer, parameter :: nGC_22 = 33
  integer, parameter :: nGC_23 = 34
  integer, parameter :: nGC_9689 = 35
  integer, parameter :: nGC_9688 = 36
  integer, parameter :: nGC_26 = 37
  integer, parameter :: nGC_27 = 38
  integer, parameter :: nGC_24 = 39
  integer, parameter :: nGC_25 = 40
  integer, parameter :: nGC_153 = 41
  integer, parameter :: nGC_152 = 42
  integer, parameter :: nGC_151 = 43
  integer, parameter :: nGC_150 = 44
  integer, parameter :: nGC_156 = 45
  integer, parameter :: nGC_155 = 46
  integer, parameter :: nGC_154 = 47
  integer, parameter :: nGC_159 = 48
  integer, parameter :: nGC_158 = 49
  integer, parameter :: nGC_9799 = 50
  integer, parameter :: nGC_92 = 51
  integer, parameter :: nGC_9586 = 52
  integer, parameter :: nGC_9562 = 53
  integer, parameter :: nGC_9553 = 54
  integer, parameter :: nGC_9933 = 55
  integer, parameter :: nGC_9552 = 56
  integer, parameter :: nGC_68 = 57
  integer, parameter :: nGC_118 = 58
  integer, parameter :: nGC_9550 = 59
  integer, parameter :: nGC_111 = 60
  integer, parameter :: nGC_126 = 61
  integer, parameter :: nGC_9753 = 62
  integer, parameter :: nGC_122 = 63
  integer, parameter :: nGC_9754 = 64
  integer, parameter :: nGC_120 = 65
  integer, parameter :: nGC_9610 = 66
  integer, parameter :: nGC_9612 = 67
  integer, parameter :: nGC_9613 = 68
  integer, parameter :: nGC_9614 = 69
  integer, parameter :: nGC_9615 = 70
  integer, parameter :: nGC_128 = 71
  integer, parameter :: nGC_9617 = 72
  integer, parameter :: nGC_9909 = 73
  integer, parameter :: nGC_9859 = 74
  integer, parameter :: nGC_9856 = 75
  integer, parameter :: nGC_9857 = 76
  integer, parameter :: nGC_9854 = 77
  integer, parameter :: nGC_9853 = 78
  integer, parameter :: nGC_9850 = 79
  integer, parameter :: nGC_9851 = 80
  integer, parameter :: nGC_75 = 81
  integer, parameter :: nGC_9845 = 82
  integer, parameter :: nGC_85 = 83
  integer, parameter :: nGC_76 = 84
  integer, parameter :: nGC_70 = 85
  integer, parameter :: nGC_12333 = 86
  integer, parameter :: nGC_12330 = 87
  integer, parameter :: nGC_141 = 88
  integer, parameter :: nGC_13531 = 89
  integer, parameter :: nGC_9539 = 90
  integer, parameter :: nGC_9534 = 91
  integer, parameter :: nGC_9537 = 92
  integer, parameter :: nGC_9536 = 93
  integer, parameter :: nGC_9609 = 94
  integer, parameter :: nGC_9767 = 95
  integer, parameter :: nGC_12428 = 96
  integer, parameter :: nGC_9761 = 97
  integer, parameter :: nGC_12750 = 98
  integer, parameter :: nGC_12200 = 99
  integer, parameter :: nGC_9921 = 100
  integer, parameter :: nGC_13445 = 101
  integer, parameter :: nGC_3 = 102
  integer, parameter :: nGC_2 = 103
  integer, parameter :: nGC_1 = 104
  integer, parameter :: nGC_9600 = 105
  integer, parameter :: nGC_7 = 106
  integer, parameter :: nGC_6 = 107
  integer, parameter :: nGC_5 = 108
  integer, parameter :: nGC_4 = 109
  integer, parameter :: nGC_9 = 110
  integer, parameter :: nGC_8 = 111
  integer, parameter :: nGC_12721 = 112
  integer, parameter :: nGC_15 = 113
  integer, parameter :: nGC_53 = 114
  integer, parameter :: nGC_52 = 115
  integer, parameter :: nGC_51 = 116
  integer, parameter :: nGC_50 = 117
  integer, parameter :: nGC_57 = 118
  integer, parameter :: nGC_56 = 119
  integer, parameter :: nGC_55 = 120
  integer, parameter :: nGC_54 = 121
  integer, parameter :: nGC_59 = 122
  integer, parameter :: nGC_58 = 123
  integer, parameter :: nGC_9715 = 124
  integer, parameter :: nGC_9717 = 125
  integer, parameter :: nGC_9716 = 126
  integer, parameter :: nGC_9710 = 127
  integer, parameter :: nGC_9713 = 128
  integer, parameter :: nGC_9712 = 129
  integer, parameter :: nGC_40 = 130
  integer, parameter :: nGC_10 = 131
  integer, parameter :: nGC_9719 = 132
  integer, parameter :: nGC_9718 = 133
  integer, parameter :: nGC_41 = 134
  integer, parameter :: nGC_162 = 135
  integer, parameter :: nGC_163 = 136
  integer, parameter :: nGC_161 = 137
  integer, parameter :: nGC_9812 = 138
  integer, parameter :: nGC_9810 = 139
  integer, parameter :: nGC_13699 = 140
  integer, parameter :: nGC_9817 = 141
  integer, parameter :: nGC_9814 = 142
  integer, parameter :: nGC_9815 = 143
  integer, parameter :: nGC_9818 = 144
  integer, parameter :: nGC_9819 = 145
  integer, parameter :: nGC_9700 = 146
  integer, parameter :: nGC_9733 = 147
  integer, parameter :: nGC_19 = 148
  integer, parameter :: nGC_9706 = 149
  integer, parameter :: nGC_18 = 150
  integer, parameter :: nGC_9707 = 151
  integer, parameter :: nGC_9691 = 152
  integer, parameter :: nGC_9692 = 153
  integer, parameter :: nGC_9927 = 154
  integer, parameter :: nGC_9662 = 155
  integer, parameter :: nGC_9922 = 156
  integer, parameter :: nGC_9923 = 157
  integer, parameter :: nGC_9666 = 158
  integer, parameter :: nGC_9668 = 159
  integer, parameter :: nGC_9887 = 160
  integer, parameter :: nGC_9886 = 161
  integer, parameter :: nGC_9881 = 162
  integer, parameter :: nGC_9880 = 163
  integer, parameter :: nGC_9883 = 164
  integer, parameter :: nGC_9882 = 165
  integer, parameter :: nGC_9865 = 166
  integer, parameter :: nGC_9863 = 167
  integer, parameter :: nGC_9862 = 168
  integer, parameter :: nGC_9860 = 169
  integer, parameter :: nGC_65 = 170
  integer, parameter :: nGC_9869 = 171
  integer, parameter :: nGC_9868 = 172
  integer, parameter :: nGC_12870 = 173
  integer, parameter :: nGC_95 = 174
  integer, parameter :: nGC_MU = 175
  integer, parameter :: nGC_MH = 176
  integer, parameter :: nGC_12711 = 177
  integer, parameter :: nGC_9566 = 178
  integer, parameter :: nGC_9567 = 179
  integer, parameter :: nGC_9564 = 180
  integer, parameter :: nGC_9563 = 181
  integer, parameter :: nGC_9560 = 182
  integer, parameter :: nGC_9568 = 183
  integer, parameter :: nGC_9569 = 184
  integer, parameter :: nGC_12372 = 185
  integer, parameter :: nGC_12373 = 186
  integer, parameter :: nGC_9844 = 187
  integer, parameter :: nGC_12374 = 188
  integer, parameter :: nGC_12474 = 189
  integer, parameter :: nGC_16 = 190
  integer, parameter :: nGC_14 = 191
  integer, parameter :: nGC_13 = 192
  integer, parameter :: nGC_12 = 193
  integer, parameter :: nGC_11 = 194
  integer, parameter :: nGC_12621 = 195
  integer, parameter :: nGC_12098 = 196
  integer, parameter :: nGC_12122 = 197
  integer, parameter :: nGC_9690 = 198
  integer, parameter :: nGC_12250 = 199
  integer, parameter :: nGC_12253 = 200
  integer, parameter :: nGC_9693 = 201
  integer, parameter :: nGC_9694 = 202
  integer, parameter :: nGC_9695 = 203
  integer, parameter :: nGC_9696 = 204
  integer, parameter :: nGC_9697 = 205
  integer, parameter :: nGC_9699 = 206
  integer, parameter :: nGC_9361 = 207
  integer, parameter :: nGC_9369 = 208
  integer, parameter :: nGC_12658 = 209
  integer, parameter :: nGC_9591 = 210
  integer, parameter :: nGC_9590 = 211
  integer, parameter :: nGC_9597 = 212
  integer, parameter :: nGC_9594 = 213
  integer, parameter :: nGC_9919 = 214
  integer, parameter :: nGC_9918 = 215
  integer, parameter :: nGC_9916 = 216
  integer, parameter :: nGC_9915 = 217
  integer, parameter :: nGC_9913 = 218
  integer, parameter :: nGC_9912 = 219
  integer, parameter :: nGC_9910 = 220
  integer, parameter :: nGC_12020 = 221
  integer, parameter :: nGC_9624 = 222
  integer, parameter :: nGC_9627 = 223
  integer, parameter :: nGC_9621 = 224
  integer, parameter :: nGC_9622 = 225
  integer, parameter :: nGC_9629 = 226
  integer, parameter :: nGC_9628 = 227
  integer, parameter :: nGC_135 = 228
  integer, parameter :: nGC_134 = 229
  integer, parameter :: nGC_137 = 230
  integer, parameter :: nGC_136 = 231
  integer, parameter :: nGC_131 = 232
  integer, parameter :: nGC_130 = 233
  integer, parameter :: nGC_9749 = 234
  integer, parameter :: nGC_9747 = 235
  integer, parameter :: nGC_9745 = 236
  integer, parameter :: nGC_9743 = 237
  integer, parameter :: nGC_9741 = 238
  integer, parameter :: nGC_9402 = 239
  integer, parameter :: nGC_143 = 240
  integer, parameter :: nGC_9829 = 241
  integer, parameter :: nGC_9823 = 242
  integer, parameter :: nGC_9821 = 243
  integer, parameter :: nGC_9820 = 244
  integer, parameter :: nGC_9827 = 245
  integer, parameter :: nGC_9826 = 246
  integer, parameter :: nGC_9824 = 247
  integer, parameter :: nGC_13489 = 248
  integer, parameter :: nGC_9723 = 249
  integer, parameter :: nGC_9449 = 250
  integer, parameter :: nGC_9757 = 251
  integer, parameter :: nGC_9611 = 252
  integer, parameter :: nGC_93 = 253
  integer, parameter :: nGC_9579 = 254
  integer, parameter :: nGC_9640 = 255
  integer, parameter :: nGC_9724 = 256
  integer, parameter :: nGC_9528 = 257
  integer, parameter :: nGC_9529 = 258
  integer, parameter :: nGC_9522 = 259
  integer, parameter :: nGC_9523 = 260
  integer, parameter :: nGC_9520 = 261
  integer, parameter :: nGC_9521 = 262
  integer, parameter :: nGC_9526 = 263
  integer, parameter :: nGC_13139 = 264
  integer, parameter :: nGC_9525 = 265
  integer, parameter :: nGC_223 = 266
  integer, parameter :: nGC_227 = 267
  integer, parameter :: nGC_9725 = 268
  integer, parameter :: nGC_MWp = 269
  integer, parameter :: nGC_9416 = 270
  integer, parameter :: nGC_9410 = 271
  integer, parameter :: nGC_9794 = 272
  integer, parameter :: nGC_9797 = 273
  integer, parameter :: nGC_9796 = 274
  integer, parameter :: nGC_9791 = 275
  integer, parameter :: nGC_9790 = 276
  integer, parameter :: nGC_9559 = 277
  integer, parameter :: nGC_9558 = 278
  integer, parameter :: nGC_9556 = 279
  integer, parameter :: nGC_9555 = 280
  integer, parameter :: nGC_12280 = 281
  integer, parameter :: nGC_12285 = 282
  integer, parameter :: nGC_9773 = 283
  integer, parameter :: nGC_351 = 284
  integer, parameter :: nGC_9678 = 285
  integer, parameter :: nGC_12062 = 286
  integer, parameter :: nGC_12061 = 287
  integer, parameter :: nGC_12064 = 288
  integer, parameter :: nGC_9676 = 289
  integer, parameter :: nGC_9626 = 290
  integer, parameter :: nGC_48 = 291
  integer, parameter :: nGC_49 = 292
  integer, parameter :: nGC_12107 = 293
  integer, parameter :: nGC_9677 = 294
  integer, parameter :: nGC_44 = 295
  integer, parameter :: nGC_45 = 296
  integer, parameter :: nGC_46 = 297
  integer, parameter :: nGC_47 = 298
  integer, parameter :: nGC_42 = 299
  integer, parameter :: nGC_43 = 300
  integer, parameter :: nGC_9702 = 301
  integer, parameter :: nGC_9703 = 302
  integer, parameter :: nGC_9623 = 303
  integer, parameter :: nGC_9704 = 304
  integer, parameter :: nGC_9705 = 305
  integer, parameter :: nGC_9708 = 306
  integer, parameter :: nGC_9709 = 307
  integer, parameter :: nGC_9673 = 308
  integer, parameter :: nGC_9318 = 309
  integer, parameter :: nGC_9670 = 310
  integer, parameter :: nGC_9312 = 311
  integer, parameter :: nGC_119 = 312
  integer, parameter :: nGC_127 = 313
  integer, parameter :: nGC_12119 = 314
  integer, parameter :: nGC_9726 = 315
  integer, parameter :: nGC_106 = 316
  integer, parameter :: nGC_86 = 317
  integer, parameter :: nGC_9777 = 318
  integer, parameter :: nGC_9775 = 319
  integer, parameter :: nGC_9771 = 320
  integer, parameter :: nGC_9892 = 321
  integer, parameter :: nGC_9893 = 322
  integer, parameter :: nGC_9672 = 323
  integer, parameter :: nGC_9779 = 324
  integer, parameter :: nGC_9671 = 325
  integer, parameter :: nGC_133 = 326
  integer, parameter :: nGC_827 = 327
  integer, parameter :: nGC_9874 = 328
  integer, parameter :: nGC_9875 = 329
  integer, parameter :: nGC_9876 = 330
  integer, parameter :: nGC_9877 = 331
  integer, parameter :: nGC_9870 = 332
  integer, parameter :: nGC_9871 = 333
  integer, parameter :: nGC_9872 = 334
  integer, parameter :: nGC_9873 = 335
  integer, parameter :: nGC_13288 = 336
  integer, parameter :: nGC_9878 = 337
  integer, parameter :: nGC_9879 = 338
  integer, parameter :: nGC_12751 = 339
  integer, parameter :: nGC_13868 = 340
  integer, parameter :: nGC_123 = 341
  integer, parameter :: nGC_139 = 342
  integer, parameter :: nGC_13867 = 343
  integer, parameter :: nGC_28 = 344
  integer, parameter :: nGC_138 = 345
  integer, parameter :: nGC_29 = 346
  integer, parameter :: nGC_12230 = 347
  integer, parameter :: nGC_12128 = 348
  integer, parameter :: nGC_12311 = 349
  integer, parameter :: nGC_13192 = 350
  integer, parameter :: nGC_919 = 351
  integer, parameter :: nGC_9739 = 352
  integer, parameter :: nGC_12246 = 353
  integer, parameter :: nGC_1269 = 354
  integer, parameter :: nGC_20 = 355
  integer, parameter :: nGC_21 = 356
  integer, parameter :: nGC_9727 = 357
  integer, parameter :: nGC_9888 = 358
  integer, parameter :: nGC_12795 = 359
  integer, parameter :: nGC_12243 = 360
  integer, parameter :: nGC_12811 = 361
  integer, parameter :: nGC_146 = 362
  integer, parameter :: nGC_MD = 363
  integer, parameter :: nGC_12149 = 364
  integer, parameter :: nGC_9769 = 365
  integer, parameter :: nGC_157 = 366
  integer, parameter :: nGC_160 = 367
  integer, parameter :: nGC_9376 = 368
  integer, parameter :: nGC_9934 = 369
  integer, parameter :: nGC_9354 = 370
  integer, parameter :: nGC_9356 = 371
  integer, parameter :: nGC_9350 = 372
  integer, parameter :: nGC_9421 = 373
  integer, parameter :: nGC_9588 = 374
  integer, parameter :: nGC_9589 = 375
  integer, parameter :: nGC_140 = 376
  integer, parameter :: nGC_99 = 377
  integer, parameter :: nGC_98 = 378
  integer, parameter :: nGC_97 = 379
  integer, parameter :: nGC_96 = 380
  integer, parameter :: nGC_9583 = 381
  integer, parameter :: nGC_9584 = 382
  integer, parameter :: nGC_9585 = 383
  integer, parameter :: nGC_91 = 384
  integer, parameter :: nGC_9587 = 385
  integer, parameter :: nGC_9378 = 386
  integer, parameter :: nGC_9904 = 387
  integer, parameter :: nGC_9905 = 388
  integer, parameter :: nGC_9906 = 389
  integer, parameter :: nGC_9907 = 390
  integer, parameter :: nGC_9900 = 391
  integer, parameter :: nGC_13698 = 392
  integer, parameter :: nGC_9902 = 393
  integer, parameter :: nGC_1165 = 394
  integer, parameter :: nGC_12031 = 395
  integer, parameter :: nGC_74 = 396
  integer, parameter :: nGC_77 = 397
  integer, parameter :: nGC_9811 = 398
  integer, parameter :: nGC_71 = 399
  integer, parameter :: nGC_12034 = 400
  integer, parameter :: nGC_73 = 401
  integer, parameter :: nGC_72 = 402
  integer, parameter :: nGC_90 = 403
  integer, parameter :: nGC_79 = 404
  integer, parameter :: nGC_78 = 405
  integer, parameter :: nGC_9630 = 406
  integer, parameter :: nGC_9631 = 407
  integer, parameter :: nGC_9637 = 408
  integer, parameter :: nGC_9634 = 409
  integer, parameter :: nGC_9635 = 410
  integer, parameter :: nGC_9638 = 411
  integer, parameter :: nGC_9639 = 412
  integer, parameter :: nGC_14168 = 413
  integer, parameter :: nGC_100 = 414
  integer, parameter :: nGC_101 = 415
  integer, parameter :: nGC_102 = 416
  integer, parameter :: nGC_103 = 417
  integer, parameter :: nGC_104 = 418
  integer, parameter :: nGC_105 = 419
  integer, parameter :: nGC_9901 = 420
  integer, parameter :: nGC_107 = 421
  integer, parameter :: nGC_108 = 422
  integer, parameter :: nGC_109 = 423
  integer, parameter :: nGC_9731 = 424
  integer, parameter :: nGC_9737 = 425
  integer, parameter :: nGC_132 = 426
  integer, parameter :: nGC_9734 = 427
  integer, parameter :: nGC_9580 = 428
  integer, parameter :: nGC_125 = 429
  integer, parameter :: nGC_9643 = 430
  integer, parameter :: nGC_9838 = 431
  integer, parameter :: nGC_9839 = 432
  integer, parameter :: nGC_9830 = 433
  integer, parameter :: nGC_9831 = 434
  integer, parameter :: nGC_9832 = 435
  integer, parameter :: nGC_9833 = 436
  integer, parameter :: nGC_9834 = 437
  integer, parameter :: nGC_9835 = 438
  integer, parameter :: nGC_9836 = 439
  integer, parameter :: nGC_9320 = 440
  integer, parameter :: nGC_9721 = 441
  integer, parameter :: nGC_1693 = 442
  integer, parameter :: nGC_9788 = 443
  integer, parameter :: nGC_9646 = 444
  integer, parameter :: nGC_9645 = 445
  integer, parameter :: nGC_9644 = 446
  integer, parameter :: nGC_9642 = 447
  integer, parameter :: nGC_9641 = 448
  integer, parameter :: nGC_9343 = 449
  integer, parameter :: nGC_9894 = 450
  integer, parameter :: nGC_9649 = 451
  integer, parameter :: nGC_9648 = 452
  integer, parameter :: nGC_9326 = 453
  integer, parameter :: nGC_13102 = 454
  integer, parameter :: nGC_13101 = 455
  integer, parameter :: nGC_12594 = 456
  integer, parameter :: nGC_9344 = 457
  integer, parameter :: nGC_9722 = 458
  integer, parameter :: nGC_9780 = 459
  integer, parameter :: nGC_9781 = 460
  integer, parameter :: nGC_219 = 461
  integer, parameter :: nGC_89 = 462
  integer, parameter :: nGC_9920 = 463
  integer, parameter :: nGC_12525 = 464
  integer, parameter :: nGC_24381 = 465
  integer, parameter :: nGC_12674 = 466
  integer, parameter :: nGC_12673 = 467
  integer, parameter :: nGC_9898 = 468
  integer, parameter :: nGC_12479 = 469
  integer, parameter :: nGC_9467 = 470
  integer, parameter :: nGC_9466 = 471
  integer, parameter :: nGC_9782 = 472
  integer, parameter :: nGC_9783 = 473
  integer, parameter :: nGC_9469 = 474
  integer, parameter :: nGC_9468 = 475
  integer, parameter :: nGC_9787 = 476
  integer, parameter :: nGC_9784 = 477
  integer, parameter :: nGC_9785 = 478
  integer, parameter :: nGC_9938 = 479
  integer, parameter :: nGC_148 = 480
  integer, parameter :: nGC_9549 = 481
  integer, parameter :: nGC_13450 = 482
  integer, parameter :: nGC_9545 = 483
  integer, parameter :: nGC_9546 = 484
  integer, parameter :: nGC_9547 = 485
  integer, parameter :: nGC_9540 = 486
  integer, parameter :: nGC_1233 = 487
  integer, parameter :: nGC_9542 = 488
  integer, parameter :: nGC_9543 = 489
  integer, parameter :: nGC_12297 = 490
  integer, parameter :: nGC_12063 = 491
  integer, parameter :: nGC_9735 = 492
  integer, parameter :: nGC_87 = 493
  integer, parameter :: nGC_12079 = 494
  integer, parameter :: nGC_9759 = 495
  integer, parameter :: nGC_9541 = 496
  integer, parameter :: nGC_39 = 497
  integer, parameter :: nGC_38 = 498
  integer, parameter :: nGC_12177 = 499
  integer, parameter :: nGC_12172 = 500
  integer, parameter :: nGC_12173 = 501
  integer, parameter :: nGC_31 = 502
  integer, parameter :: nGC_30 = 503
  integer, parameter :: nGC_32 = 504
  integer, parameter :: nGC_9519 = 505
  integer, parameter :: nGC_37 = 506
  integer, parameter :: nGC_36 = 507
  integer, parameter :: nGC_145 = 508
  integer, parameter :: nGC_855 = 509
  integer, parameter :: nGC_235 = 510
  integer, parameter :: nGC_142 = 511
  integer, parameter :: nGC_9660 = 512
  integer, parameter :: nGC_17649 = 513
  integer, parameter :: nGC_149 = 514
  integer, parameter :: nGC_9931 = 515
  integer, parameter :: nGC_9789 = 516
  integer, parameter :: nGC_9925 = 517
  integer, parameter :: nGC_12499 = 518
  integer, parameter :: nGC_9930 = 519
  integer, parameter :: nGC_12180 = 520
  integer, parameter :: nGC_9347 = 521
  integer, parameter :: nGC_9664 = 522
  integer, parameter :: nGC_9287 = 523
  integer, parameter :: nGC_9286 = 524
  integer, parameter :: nGC_9285 = 525
  integer, parameter :: nGC_9284 = 526
  integer, parameter :: nGC_9283 = 527
  integer, parameter :: nGC_9282 = 528
  integer, parameter :: nGC_9281 = 529
  integer, parameter :: nGC_9837 = 530
  integer, parameter :: nGC_9884 = 531
  integer, parameter :: nGC_12000 = 532
  integer, parameter :: nGC_12003 = 533
  integer, parameter :: nGC_9679 = 534
  integer, parameter :: nGC_35 = 535
  integer, parameter :: nGC_66 = 536
  integer, parameter :: nGC_9903 = 537
  integer, parameter :: nGC_67 = 538
  integer, parameter :: nGC_12272 = 539
  integer, parameter :: nGC_64 = 540
  integer, parameter :: nGC_9940 = 541
  integer, parameter :: nGC_9941 = 542
  integer, parameter :: nGC_9942 = 543
  integer, parameter :: nGC_9608 = 544
  integer, parameter :: nGC_9928 = 545
  integer, parameter :: nGC_9387 = 546
  integer, parameter :: nGC_9763 = 547
  integer, parameter :: nGC_9603 = 548
  integer, parameter :: nGC_9602 = 549
  integer, parameter :: nGC_9601 = 550
  integer, parameter :: nGC_9929 = 551
  integer, parameter :: nGC_9607 = 552
  integer, parameter :: nGC_9606 = 553
  integer, parameter :: nGC_9764 = 554
  integer, parameter :: nGC_9604 = 555
  integer, parameter :: nGC_12556 = 556
  integer, parameter :: nGC_13415 = 557
  integer, parameter :: nGC_12554 = 558
  integer, parameter :: nGC_12555 = 559
  integer, parameter :: nGC_MM = 560
  integer, parameter :: nGC_9889 = 561
  integer, parameter :: nGC_MC = 562
  integer, parameter :: nGC_MB = 563
  integer, parameter :: nGC_61 = 564
  integer, parameter :: nGC_14077 = 565
  integer, parameter :: nGC_ME = 566
  integer, parameter :: nGC_14074 = 567
  integer, parameter :: nGC_9841 = 568
  integer, parameter :: nGC_MZ = 569
  integer, parameter :: nGC_9842 = 570
  integer, parameter :: nGC_117 = 571
  integer, parameter :: nGC_9847 = 572
  integer, parameter :: nGC_MS = 573
  integer, parameter :: nGC_9848 = 574
  integer, parameter :: nGC_MW = 575
  integer, parameter :: nGC_MT = 576
  integer, parameter :: nGC_9751 = 577
  integer, parameter :: nGC_MI = 578
  integer, parameter :: nGC_81 = 579
  integer, parameter :: nGC_9619 = 580
  integer, parameter :: nGC_9581 = 581
  integer, parameter :: nGC_12958 = 582
  integer, parameter :: nGC_124 = 583
  integer, parameter :: nGC_9527 = 584
  integer, parameter :: nGC_116 = 585
  integer, parameter :: nGC_9524 = 586
  integer, parameter :: nGC_9890 = 587
  integer, parameter :: nGC_9755 = 588
  integer, parameter :: nGC_63 = 589
  integer, parameter :: nGC_MW_GF = 590
  integer, parameter :: nGC_13528 = 591
  integer, parameter :: nGC_12300 = 592
  integer, parameter :: nGC_12307 = 593
  integer, parameter :: nGC_12179 = 594
  integer, parameter :: nGC_9518 = 595
  integer, parameter :: nGC_12099 = 596
  integer, parameter :: nGC_121 = 597
  integer, parameter :: nGC_20454 = 598
  integer, parameter :: nGC_13093 = 599
  integer, parameter :: nGC_9770 = 600
  integer, parameter :: nGC_9341 = 601
  integer, parameter :: nGC_9355 = 602
  integer, parameter :: nGC_9866 = 603
  integer, parameter :: nGC_12786 = 604
  integer, parameter :: nGC_I = 605
  integer, parameter :: nGC_9383 = 606
  integer, parameter :: nGC_9768 = 607
  integer, parameter :: nGC_34 = 608
  integer, parameter :: nGC_9616 = 609
  integer, parameter :: nGC_9618 = 610
  integer, parameter :: nGC_129 = 611
  integer, parameter :: nGC_13553 = 612
  integer, parameter :: nGC_13552 = 613
  integer, parameter :: nGC_12608 = 614
  integer, parameter :: nGC_MTA = 615
  integer, parameter :: nGC_9380 = 616
  integer, parameter :: nGC_9932 = 617
  integer, parameter :: nGC_13329 = 618
  integer, parameter :: nGC_13825 = 619
  integer, parameter :: nGC_33 = 620
  integer, parameter :: nGC_9840 = 621
  integer, parameter :: nGC_9349 = 622
  integer, parameter :: nGC_9729 = 623
  integer, parameter :: nGC_9342 = 624
  integer, parameter :: nGC_9340 = 625
  integer, parameter :: nGC_183 = 626
  integer, parameter :: nGC_9345 = 627
  integer, parameter :: nGC_88 = 628
  integer, parameter :: nGC_9765 = 629
  integer, parameter :: nGC_13971 = 630
  integer, parameter :: nGC_80 = 631
  integer, parameter :: nGC_82 = 632
  integer, parameter :: nGC_83 = 633
  integer, parameter :: nGC_84 = 634
  integer, parameter :: nGC_12737 = 635
  integer, parameter :: nGC_12734 = 636
  integer, parameter :: nGC_9939 = 637
  integer, parameter :: nGC_144 = 638
  integer, parameter :: nGC_613 = 639
  integer, parameter :: nGC_MZp = 640
  integer, parameter :: nGC_9339 = 641
  integer, parameter :: nGC_11995 = 642
  integer, parameter :: nGC_9307 = 643
  integer, parameter :: nGC_619 = 644
  integer, parameter :: nGC_15213 = 645
  integer, parameter :: nGC_9935 = 646
  integer, parameter :: nGC_9937 = 647
  integer, parameter :: nGC_9936 = 648
  integer, parameter :: nGC_9489 = 649
  integer, parameter :: nGC_62 = 650
  integer, parameter :: nGC_12041 = 651
  integer, parameter :: nGC_60 = 652
  integer, parameter :: nGC_9488 = 653
  integer, parameter :: nGC_12123 = 654
  integer, parameter :: nGC_9351 = 655
  integer, parameter :: nGC_12120 = 656
  integer, parameter :: nGC_115 = 657
  integer, parameter :: nGC_12125 = 658
  integer, parameter :: nGC_9303 = 659
  integer, parameter :: nGC_9305 = 660
  integer, parameter :: nGC_9482 = 661
  integer, parameter :: nGC_114 = 662
  integer, parameter :: nGC_9300 = 663
  integer, parameter :: nGC_110 = 664
  integer, parameter :: nGC_113 = 665
  integer, parameter :: nGC_9301 = 666
  integer, parameter :: nGC_112 = 667
  integer, parameter :: nGC_9481 = 668
  integer, parameter :: nGC_9480 = 669
  integer, parameter :: nGC_9483 = 670
  integer, parameter :: nGC_9485 = 671
  integer, parameter :: nGC_9484 = 672
  integer, parameter :: nGC_9487 = 673
  integer, parameter :: nGC_9486 = 674
  integer, parameter :: nGC_9337 = 675
  integer, parameter :: nGC_9335 = 676
  integer, parameter :: nGC_9334 = 677
  integer, parameter :: nGC_9333 = 678
  integer, parameter :: nGC_9332 = 679
  integer, parameter :: nGC_9331 = 680
  integer, parameter :: nGC_9330 = 681
  integer, parameter :: nGC_9804 = 682
  integer, parameter :: nGC_9807 = 683
  integer, parameter :: nGC_9801 = 684
  integer, parameter :: nGC_12879 = 685
  integer, parameter :: nGC_9654 = 686
  integer, parameter :: nGC_9650 = 687
  integer, parameter :: nGC_9651 = 688
  integer, parameter :: nGC_13635 = 689
  integer, parameter :: nGC_13636 = 690
  integer, parameter :: nGC_13633 = 691
  integer, parameter :: nGC_803 = 692
  integer, parameter :: nGC_12463 = 693
  integer, parameter :: nGC_12585 = 694
  integer, parameter :: nGC_13116 = 695
  integer, parameter :: nGC_13111 = 696
  integer, parameter :: nGC_13298 = 697
  integer, parameter :: nGC_12582 = 698
  integer, parameter :: nGC_12513 = 699
  integer, parameter :: nGC_12510 = 700
  integer, parameter :: nGC_13187 = 701
  integer, parameter :: nGC_13184 = 702
  integer, parameter :: nGC_13021 = 703
  integer, parameter :: nGC_13020 = 704
  integer, parameter :: nGC_13022 = 705
  integer, parameter :: nGC_9425 = 706
  integer, parameter :: nGC_9413 = 707
  integer, parameter :: nGC_13362 = 708
  integer, parameter :: nGC_9411 = 709
  integer, parameter :: nGC_12885 = 710
  integer, parameter :: nGC_13364 = 711
  integer, parameter :: nGC_9470 = 712
  integer, parameter :: nGC_14837 = 713
  integer, parameter :: nGC_9472 = 714
  integer, parameter :: nGC_9473 = 715
  integer, parameter :: nGC_9474 = 716
  integer, parameter :: nGC_9475 = 717
  integer, parameter :: nGC_9478 = 718
  integer, parameter :: nGC_9479 = 719
  integer, parameter :: nGC_9420 = 720
  integer, parameter :: nGC_377 = 721
  integer, parameter :: nGC_9578 = 722
  integer, parameter :: nGC_9570 = 723
  integer, parameter :: nGC_9575 = 724
  integer, parameter :: nGC_22063 = 725
  integer, parameter :: nGC_12341 = 726
  integer, parameter :: nGC_12340 = 727
  integer, parameter :: nGC_12082 = 728
  integer, parameter :: nGC_12087 = 729
  integer, parameter :: nGC_12088 = 730
  integer, parameter :: nGC_12089 = 731
  integer, parameter :: nGC_16120 = 732
  integer, parameter :: nGC_9683 = 733
  integer, parameter :: nGC_12166 = 734
  integer, parameter :: nGC_9680 = 735
  integer, parameter :: nGC_9686 = 736
  integer, parameter :: nGC_12248 = 737
  integer, parameter :: nGC_12249 = 738
  integer, parameter :: nGC_12169 = 739
  integer, parameter :: nGC_9373 = 740
  integer, parameter :: nGC_9372 = 741
  integer, parameter :: nGC_9371 = 742
  integer, parameter :: nGC_9370 = 743
  integer, parameter :: nGC_9377 = 744
  integer, parameter :: nGC_9375 = 745
  integer, parameter :: nGC_9374 = 746
  integer, parameter :: nGC_19549 = 747
  integer, parameter :: nGC_9379 = 748
  integer, parameter :: nGC_9565 = 749
  integer, parameter :: nGC_12640 = 750
  integer, parameter :: nGC_12645 = 751
  integer, parameter :: nGC_9295 = 752
  integer, parameter :: nGC_9296 = 753
  integer, parameter :: nGC_9290 = 754
  integer, parameter :: nGC_9291 = 755
  integer, parameter :: nGC_9292 = 756
  integer, parameter :: nGC_15409 = 757
  integer, parameter :: nGC_12483 = 758
  integer, parameter :: nGC_9298 = 759
  integer, parameter :: nGC_9299 = 760
  integer, parameter :: nGC_15111 = 761
  integer, parameter :: nGC_9444 = 762
  integer, parameter :: nGC_1663 = 763
  integer, parameter :: nGC_12017 = 764
  integer, parameter :: nGC_12015 = 765
  integer, parameter :: nGC_2623 = 766
  integer, parameter :: nGC_14147 = 767
  integer, parameter :: nGC_9441 = 768
  integer, parameter :: nGC_14144 = 769
  integer, parameter :: nGC_9440 = 770
  integer, parameter :: nGC_9750 = 771
  integer, parameter :: nGC_9752 = 772
  integer, parameter :: nGC_9443 = 773
  integer, parameter :: nGC_9756 = 774
  integer, parameter :: nGC_9758 = 775
  integer, parameter :: nGC_13405 = 776
  integer, parameter :: nGC_14049 = 777
  integer, parameter :: nGC_13019 = 778
  integer, parameter :: nGC_9858 = 779
  integer, parameter :: nGC_9855 = 780
  integer, parameter :: nGC_9852 = 781
  integer, parameter :: nGC_5165 = 782
  integer, parameter :: nGC_13533 = 783
  integer, parameter :: nGC_12464 = 784
  integer, parameter :: nGC_13088 = 785
  integer, parameter :: nGC_9538 = 786
  integer, parameter :: nGC_9535 = 787
  integer, parameter :: nGC_9530 = 788
  integer, parameter :: nGC_877 = 789
  integer, parameter :: nGC_12835 = 790
  integer, parameter :: nGC_12837 = 791
  integer, parameter :: nGC_12836 = 792
  integer, parameter :: nGC_13114 = 793
  integer, parameter :: nGC_12541 = 794
  integer, parameter :: nGC_12542 = 795
  integer, parameter :: nGC_12545 = 796
  integer, parameter :: nGC_13833 = 797
  integer, parameter :: nGC_12613 = 798
  integer, parameter :: nGC_12612 = 799
  integer, parameter :: nGC_12615 = 800
  integer, parameter :: nGC_12614 = 801
  integer, parameter :: nGC_12203 = 802
  integer, parameter :: nGC_12752 = 803
  integer, parameter :: nGC_12755 = 804
  integer, parameter :: nGC_13330 = 805
  integer, parameter :: nGC_13336 = 806
  integer, parameter :: nGC_13338 = 807
  integer, parameter :: nGC_9409 = 808
  integer, parameter :: nGC_9408 = 809
  integer, parameter :: nGC_9401 = 810
  integer, parameter :: nGC_9400 = 811
  integer, parameter :: nGC_9403 = 812
  integer, parameter :: nGC_26664 = 813
  integer, parameter :: nGC_9405 = 814
  integer, parameter :: nGC_9404 = 815
  integer, parameter :: nGC_9407 = 816
  integer, parameter :: nGC_9406 = 817
  integer, parameter :: nGC_12729 = 818
  integer, parameter :: nGC_12431 = 819
  integer, parameter :: nGC_12723 = 820
  integer, parameter :: nGC_12722 = 821
  integer, parameter :: nGC_9391 = 822
  integer, parameter :: nGC_9390 = 823
  integer, parameter :: nGC_9393 = 824
  integer, parameter :: nGC_9392 = 825
  integer, parameter :: nGC_9395 = 826
  integer, parameter :: nGC_9394 = 827
  integer, parameter :: nGC_9397 = 828
  integer, parameter :: nGC_9396 = 829
  integer, parameter :: nGC_9399 = 830
  integer, parameter :: nGC_9398 = 831
  integer, parameter :: nGC_603 = 832
  integer, parameter :: nGC_15729 = 833
  integer, parameter :: nGC_12053 = 834
  integer, parameter :: nGC_12052 = 835
  integer, parameter :: nGC_12116 = 836
  integer, parameter :: nGC_12112 = 837
  integer, parameter :: nGC_12110 = 838
  integer, parameter :: nGC_9714 = 839
  integer, parameter :: nGC_9711 = 840
  integer, parameter :: nGC_9328 = 841
  integer, parameter :: nGC_9329 = 842
  integer, parameter :: nGC_9498 = 843
  integer, parameter :: nGC_9499 = 844
  integer, parameter :: nGC_9496 = 845
  integer, parameter :: nGC_9497 = 846
  integer, parameter :: nGC_9494 = 847
  integer, parameter :: nGC_9495 = 848
  integer, parameter :: nGC_9492 = 849
  integer, parameter :: nGC_9493 = 850
  integer, parameter :: nGC_9490 = 851
  integer, parameter :: nGC_9491 = 852
  integer, parameter :: nGC_9813 = 853
  integer, parameter :: nGC_9816 = 854
  integer, parameter :: nGC_12425 = 855
  integer, parameter :: nGC_17651 = 856
  integer, parameter :: nGC_14485 = 857
  integer, parameter :: nGC_12390 = 858
  integer, parameter :: nGC_12544 = 859
  integer, parameter :: nGC_9661 = 860
  integer, parameter :: nGC_9663 = 861
  integer, parameter :: nGC_9665 = 862
  integer, parameter :: nGC_13830 = 863
  integer, parameter :: nGC_9667 = 864
  integer, parameter :: nGC_9669 = 865
  integer, parameter :: nGC_12579 = 866
  integer, parameter :: nGC_9867 = 867
  integer, parameter :: nGC_9698 = 868
  integer, parameter :: nGC_9864 = 869
  integer, parameter :: nGC_9861 = 870
  integer, parameter :: nGC_12873 = 871
  integer, parameter :: nGC_27255 = 872
  integer, parameter :: nGC_27257 = 873
  integer, parameter :: nGC_13194 = 874
  integer, parameter :: nGC_12507 = 875
  integer, parameter :: nGC_13191 = 876
  integer, parameter :: nGC_13193 = 877
  integer, parameter :: nGC_12502 = 878
  integer, parameter :: nGC_12508 = 879
  integer, parameter :: nGC_24726 = 880
  integer, parameter :: nGC_12710 = 881
  integer, parameter :: nGC_12712 = 882
  integer, parameter :: nGC_12713 = 883
  integer, parameter :: nGC_13185 = 884
  integer, parameter :: nGC_12480 = 885
  integer, parameter :: nGC_9448 = 886
  integer, parameter :: nGC_9561 = 887
  integer, parameter :: nGC_9445 = 888
  integer, parameter :: nGC_13172 = 889
  integer, parameter :: nGC_9447 = 890
  integer, parameter :: nGC_9446 = 891
  integer, parameter :: nGC_13278 = 892
  integer, parameter :: nGC_13175 = 893
  integer, parameter :: nGC_9442 = 894
  integer, parameter :: nGC_305 = 895
  integer, parameter :: nGC_12803 = 896
  integer, parameter :: nGC_12808 = 897
  integer, parameter :: nGC_12379 = 898
  integer, parameter :: nGC_12477 = 899
  integer, parameter :: nGC_12628 = 900
  integer, parameter :: nGC_12158 = 901
  integer, parameter :: nGC_12095 = 902
  integer, parameter :: nGC_12094 = 903
  integer, parameter :: nGC_12152 = 904
  integer, parameter :: nGC_12622 = 905
  integer, parameter :: nGC_12623 = 906
  integer, parameter :: nGC_12154 = 907
  integer, parameter :: nGC_12155 = 908
  integer, parameter :: nGC_12259 = 909
  integer, parameter :: nGC_12393 = 910
  integer, parameter :: nGC_9360 = 911
  integer, parameter :: nGC_9362 = 912
  integer, parameter :: nGC_9363 = 913
  integer, parameter :: nGC_9364 = 914
  integer, parameter :: nGC_9365 = 915
  integer, parameter :: nGC_9366 = 916
  integer, parameter :: nGC_9367 = 917
  integer, parameter :: nGC_9368 = 918
  integer, parameter :: nGC_9599 = 919
  integer, parameter :: nGC_9598 = 920
  integer, parameter :: nGC_12659 = 921
  integer, parameter :: nGC_13363 = 922
  integer, parameter :: nGC_9593 = 923
  integer, parameter :: nGC_9592 = 924
  integer, parameter :: nGC_23708 = 925
  integer, parameter :: nGC_413 = 926
  integer, parameter :: nGC_9595 = 927
  integer, parameter :: nGC_13654 = 928
  integer, parameter :: nGC_9917 = 929
  integer, parameter :: nGC_9914 = 930
  integer, parameter :: nGC_9911 = 931
  integer, parameter :: nGC_13367 = 932
  integer, parameter :: nGC_12886 = 933
  integer, parameter :: nGC_12026 = 934
  integer, parameter :: nGC_12027 = 935
  integer, parameter :: nGC_12022 = 936
  integer, parameter :: nGC_9625 = 937
  integer, parameter :: nGC_14173 = 938
  integer, parameter :: nGC_14171 = 939
  integer, parameter :: nGC_9620 = 940
  integer, parameter :: nGC_14174 = 941
  integer, parameter :: nGC_9471 = 942
  integer, parameter :: nGC_9596 = 943
  integer, parameter :: nGC_9748 = 944
  integer, parameter :: nGC_9746 = 945
  integer, parameter :: nGC_9744 = 946
  integer, parameter :: nGC_9742 = 947
  integer, parameter :: nGC_9740 = 948
  integer, parameter :: nGC_14050 = 949
  integer, parameter :: nGC_13006 = 950
  integer, parameter :: nGC_9828 = 951
  integer, parameter :: nGC_9822 = 952
  integer, parameter :: nGC_9825 = 953
  integer, parameter :: nGC_18204 = 954
  integer, parameter :: nGC_9647 = 955
  integer, parameter :: nGC_12440 = 956
  integer, parameter :: nGC_12441 = 957
  integer, parameter :: nGC_949 = 958
  integer, parameter :: nGC_12448 = 959
  integer, parameter :: nGC_12435 = 960
  integer, parameter :: nGC_12434 = 961
  integer, parameter :: nGC_12927 = 962
  integer, parameter :: nGC_12539 = 963
  integer, parameter :: nGC_13829 = 964
  integer, parameter :: nGC_12190 = 965
  integer, parameter :: nGC_12743 = 966
  integer, parameter :: nGC_12742 = 967
  integer, parameter :: nGC_12211 = 968
  integer, parameter :: nGC_12212 = 969
  integer, parameter :: nGC_9417 = 970
  integer, parameter :: nGC_9414 = 971
  integer, parameter :: nGC_9415 = 972
  integer, parameter :: nGC_9412 = 973
  integer, parameter :: nGC_9798 = 974
  integer, parameter :: nGC_14839 = 975
  integer, parameter :: nGC_14838 = 976
  integer, parameter :: nGC_9795 = 977
  integer, parameter :: nGC_9418 = 978
  integer, parameter :: nGC_9792 = 979
  integer, parameter :: nGC_9557 = 980
  integer, parameter :: nGC_9554 = 981
  integer, parameter :: nGC_15113 = 982
  integer, parameter :: nGC_9551 = 983
  integer, parameter :: nGC_15110 = 984
  integer, parameter :: nGC_12328 = 985
  integer, parameter :: nGC_9899 = 986
  integer, parameter :: nGC_291 = 987
  integer, parameter :: nGC_12288 = 988
  integer, parameter :: nGC_13617 = 989
  integer, parameter :: nGC_9388 = 990
  integer, parameter :: nGC_9389 = 991
  integer, parameter :: nGC_9386 = 992
  integer, parameter :: nGC_15728 = 993
  integer, parameter :: nGC_12060 = 994
  integer, parameter :: nGC_9385 = 995
  integer, parameter :: nGC_9382 = 996
  integer, parameter :: nGC_12067 = 997
  integer, parameter :: nGC_9381 = 998
  integer, parameter :: nGC_12264 = 999
  integer, parameter :: nGC_12265 = 1000
  integer, parameter :: nGC_14634 = 1001
  integer, parameter :: nGC_14637 = 1002
  integer, parameter :: nGC_9701 = 1003
  integer, parameter :: nGC_9319 = 1004
  integer, parameter :: nGC_9311 = 1005
  integer, parameter :: nGC_9310 = 1006
  integer, parameter :: nGC_9313 = 1007
  integer, parameter :: nGC_9315 = 1008
  integer, parameter :: nGC_9314 = 1009
  integer, parameter :: nGC_9317 = 1010
  integer, parameter :: nGC_9316 = 1011
  integer, parameter :: nGC_14080 = 1012
  integer, parameter :: nGC_9776 = 1013
  integer, parameter :: nGC_9774 = 1014
  integer, parameter :: nGC_13616 = 1015
  integer, parameter :: nGC_9772 = 1016
  integer, parameter :: nGC_13615 = 1017
  integer, parameter :: nGC_9674 = 1018
  integer, parameter :: nGC_9891 = 1019
  integer, parameter :: nGC_9897 = 1020
  integer, parameter :: nGC_9778 = 1021
  integer, parameter :: nGC_12568 = 1022
  integer, parameter :: nGC_3529 = 1023
  integer, parameter :: nGC_16117 = 1024
  integer, parameter :: nGC_13044 = 1025
  integer, parameter :: nGC_13043 = 1026
  integer, parameter :: nGC_12314 = 1027
  integer, parameter :: nGC_12702 = 1028
  integer, parameter :: nGC_12701 = 1029
  integer, parameter :: nGC_13388 = 1030
  integer, parameter :: nGC_9513 = 1031
  integer, parameter :: nGC_9512 = 1032
  integer, parameter :: nGC_9458 = 1033
  integer, parameter :: nGC_9510 = 1034
  integer, parameter :: nGC_9517 = 1035
  integer, parameter :: nGC_9516 = 1036
  integer, parameter :: nGC_9515 = 1037
  integer, parameter :: nGC_9514 = 1038
  integer, parameter :: nGC_9452 = 1039
  integer, parameter :: nGC_9453 = 1040
  integer, parameter :: nGC_9450 = 1041
  integer, parameter :: nGC_9451 = 1042
  integer, parameter :: nGC_9456 = 1043
  integer, parameter :: nGC_9457 = 1044
  integer, parameter :: nGC_9455 = 1045
  integer, parameter :: nGC_12792 = 1046
  integer, parameter :: nGC_12637 = 1047
  integer, parameter :: nGC_9324 = 1048
  integer, parameter :: nGC_12227 = 1049
  integer, parameter :: nGC_9325 = 1050
  integer, parameter :: nGC_12381 = 1051
  integer, parameter :: nGC_12380 = 1052
  integer, parameter :: nGC_12229 = 1053
  integer, parameter :: nGC_9327 = 1054
  integer, parameter :: nGC_9359 = 1055
  integer, parameter :: nGC_9358 = 1056
  integer, parameter :: nGC_9429 = 1057
  integer, parameter :: nGC_9428 = 1058
  integer, parameter :: nGC_9427 = 1059
  integer, parameter :: nGC_9426 = 1060
  integer, parameter :: nGC_9357 = 1061
  integer, parameter :: nGC_9424 = 1062
  integer, parameter :: nGC_9423 = 1063
  integer, parameter :: nGC_9422 = 1064
  integer, parameter :: nGC_9353 = 1065
  integer, parameter :: nGC_9352 = 1066
  integer, parameter :: nGC_9322 = 1067
  integer, parameter :: nGC_9582 = 1068
  integer, parameter :: nGC_9323 = 1069
  integer, parameter :: nGC_9908 = 1070
  integer, parameter :: nGC_14594 = 1071
  integer, parameter :: nGC_12131 = 1072
  integer, parameter :: nGC_12136 = 1073
  integer, parameter :: nGC_12137 = 1074
  integer, parameter :: nGC_9632 = 1075
  integer, parameter :: nGC_9633 = 1076
  integer, parameter :: nGC_9636 = 1077
  integer, parameter :: nGC_9738 = 1078
  integer, parameter :: nGC_9732 = 1079
  integer, parameter :: nGC_9730 = 1080
  integer, parameter :: nGC_9736 = 1081
  integer, parameter :: nGC_14021 = 1082
  integer, parameter :: nGC_14022 = 1083
  integer, parameter :: nGC_9321 = 1084
  integer, parameter :: nGC_12453 = 1085
  integer, parameter :: nGC_9294 = 1086
  integer, parameter :: nGC_12451 = 1087
  integer, parameter :: nGC_12985 = 1088
  integer, parameter :: nGC_12984 = 1089
  integer, parameter :: nGC_12454 = 1090
  integer, parameter :: nGC_13451 = 1091
  integer, parameter :: nGC_12596 = 1092
  integer, parameter :: nGC_12595 = 1093
  integer, parameter :: nGC_9297 = 1094
  integer, parameter :: nGC_9293 = 1095
  integer, parameter :: nGC_12910 = 1096
  integer, parameter :: nGC_13421 = 1097
  integer, parameter :: nGC_23082 = 1098
  integer, parameter :: nGC_12771 = 1099
  integer, parameter :: nGC_9463 = 1100
  integer, parameter :: nGC_9462 = 1101
  integer, parameter :: nGC_9461 = 1102
  integer, parameter :: nGC_9460 = 1103
  integer, parameter :: nGC_9465 = 1104
  integer, parameter :: nGC_9464 = 1105
  integer, parameter :: nGC_9786 = 1106
  integer, parameter :: nGC_9548 = 1107
  integer, parameter :: nGC_9544 = 1108
  integer, parameter :: nGC_9511 = 1109
  integer, parameter :: nGC_9459 = 1110
  integer, parameter :: nGC_12291 = 1111
  integer, parameter :: nGC_12359 = 1112
  integer, parameter :: nGC_12293 = 1113
  integer, parameter :: nGC_12292 = 1114
  integer, parameter :: nGC_12076 = 1115
  integer, parameter :: nGC_12279 = 1116
  integer, parameter :: nGC_12271 = 1117
  integer, parameter :: nGC_12178 = 1118
  integer, parameter :: nGC_9306 = 1119
  integer, parameter :: nGC_9304 = 1120
  integer, parameter :: nGC_9302 = 1121
  integer, parameter :: nGC_9308 = 1122
  integer, parameter :: nGC_9309 = 1123
  integer, parameter :: nGC_12189 = 1124
  integer, parameter :: nGC_9454 = 1125
  integer, parameter :: nGC_12014 = 1126
  integer, parameter :: nGC_15211 = 1127
  integer, parameter :: nGC_15410 = 1128
  integer, parameter :: nGC_9288 = 1129
  integer, parameter :: nGC_9885 = 1130
  integer, parameter :: nGC_16210 = 1131
  integer, parameter :: nGC_12004 = 1132
  integer, parameter :: nGC_12005 = 1133
  integer, parameter :: nGC_12006 = 1134
  integer, parameter :: nGC_13448 = 1135
  integer, parameter :: nGC_9289 = 1136
  integer, parameter :: nGC_13972 = 1137
  integer, parameter :: nGC_9766 = 1138
  integer, parameter :: nGC_9760 = 1139
  integer, parameter :: nGC_9762 = 1140
  integer, parameter :: nGC_9605 = 1141
  integer, parameter :: nGC_12557 = 1142
  integer, parameter :: nGC_14079 = 1143
  integer, parameter :: nGC_16854 = 1144
  integer, parameter :: nGC_13418 = 1145
  integer, parameter :: nGC_9843 = 1146
  integer, parameter :: nGC_9384 = 1147
  integer, parameter :: nGC_9846 = 1148
  integer, parameter :: nGC_9849 = 1149
  integer, parameter :: nGC_12954 = 1150
  integer, parameter :: nGC_12955 = 1151
  integer, parameter :: nGC_12959 = 1152
  integer, parameter :: nGC_12303 = 1153
  integer, parameter :: nGC_12302 = 1154
  integer, parameter :: nGC_13391 = 1155
  integer, parameter :: nGC_9500 = 1156
  integer, parameter :: nGC_9501 = 1157
  integer, parameter :: nGC_9502 = 1158
  integer, parameter :: nGC_9503 = 1159
  integer, parameter :: nGC_9504 = 1160
  integer, parameter :: nGC_9505 = 1161
  integer, parameter :: nGC_9506 = 1162
  integer, parameter :: nGC_9507 = 1163
  integer, parameter :: nGC_9508 = 1164
  integer, parameter :: nGC_9509 = 1165
  integer, parameter :: nGC_12789 = 1166
  integer, parameter :: nGC_12788 = 1167
  integer, parameter :: nGC_13554 = 1168
  integer, parameter :: nGC_12234 = 1169
  integer, parameter :: nGC_12233 = 1170
  integer, parameter :: nGC_13322 = 1171
  integer, parameter :: nGC_13321 = 1172
  integer, parameter :: nGC_9348 = 1173
  integer, parameter :: nGC_9438 = 1174
  integer, parameter :: nGC_9439 = 1175
  integer, parameter :: nGC_9434 = 1176
  integer, parameter :: nGC_9435 = 1177
  integer, parameter :: nGC_9436 = 1178
  integer, parameter :: nGC_9437 = 1179
  integer, parameter :: nGC_9346 = 1180
  integer, parameter :: nGC_9431 = 1181
  integer, parameter :: nGC_9432 = 1182
  integer, parameter :: nGC_9433 = 1183
  integer, parameter :: nGC_13441 = 1184
  integer, parameter :: nGC_12538 = 1185
  integer, parameter :: nGC_12926 = 1186
  integer, parameter :: nGC_11996 = 1187
  integer, parameter :: nGC_12101 = 1188
  integer, parameter :: nGC_11999 = 1189
  integer, parameter :: nGC_11998 = 1190
  integer, parameter :: nGC_12044 = 1191
  integer, parameter :: nGC_12046 = 1192
  integer, parameter :: nGC_12124 = 1193
  integer, parameter :: nGC_9728 = 1194
  integer, parameter :: nGC_12161 = 1195
  integer, parameter :: nGC_15212 = 1196
  integer, parameter :: nGC_9338 = 1197
  integer, parameter :: nGC_9720 = 1198
  integer, parameter :: nGC_9336 = 1199
  integer, parameter :: nGC_12503 = 1200
  integer, parameter :: nGC_12222 = 1201
  integer, parameter :: nGC_9430 = 1202
  integer, parameter :: nGC_13104 = 1203
  integer, parameter :: nGC_13340 = 1204
  integer, parameter :: nGC_12113 = 1205
  integer, parameter :: nGC_9419 = 1206
  integer, parameter :: nGC_15214 = 1207
  integer, parameter :: nGC_15114 = 1208
  integer, parameter :: nGC_13103 = 1209
  integer, parameter :: nGC_12323 = 1210
  integer, parameter :: nGC_13637 = 1211
  integer, parameter :: nGC_13420 = 1212
  integer, parameter :: nGC_12466 = 1213
  integer, parameter :: nGC_12465 = 1214
  integer, parameter :: nGC_12584 = 1215
  integer, parameter :: nGC_13117 = 1216
  integer, parameter :: nGC_12772 = 1217
  integer, parameter :: nGC_13299 = 1218
  integer, parameter :: nGC_12268 = 1219
  integer, parameter :: nGC_12100 = 1220
  integer, parameter :: nGC_12198 = 1221
  integer, parameter :: nGC_26668 = 1222
  integer, parameter :: nGC_12516 = 1223
  integer, parameter :: nGC_12515 = 1224
  integer, parameter :: nGC_13188 = 1225
  integer, parameter :: nGC_26667 = 1226
  integer, parameter :: nGC_26665 = 1227
  integer, parameter :: nGC_12571 = 1228
  integer, parameter :: nGC_13368 = 1229
  integer, parameter :: nGC_12574 = 1230
  integer, parameter :: nGC_12767 = 1231
  integer, parameter :: nGC_12577 = 1232
  integer, parameter :: nGC_12768 = 1233
  integer, parameter :: nGC_13470 = 1234
  integer, parameter :: nGC_13471 = 1235
  integer, parameter :: nGC_9476 = 1236
  integer, parameter :: nGC_9477 = 1237
  integer, parameter :: nGC_12875 = 1238
  integer, parameter :: nGC_12876 = 1239
  integer, parameter :: nGC_13870 = 1240
  integer, parameter :: nGC_12504 = 1241
  integer, parameter :: nGC_16121 = 1242
  integer, parameter :: nGC_13618 = 1243
  integer, parameter :: nGC_12083 = 1244
  integer, parameter :: nGC_12084 = 1245
  integer, parameter :: nGC_13178 = 1246
  integer, parameter :: nGC_13177 = 1247
  integer, parameter :: nGC_13279 = 1248
  integer, parameter :: nGC_12241 = 1249
  integer, parameter :: nGC_13869 = 1250
  integer, parameter :: nGC_13973 = 1251
  integer, parameter :: nGC_12047 = 1252
  integer, parameter :: nGC_12644 = 1253
  integer, parameter :: nGC_13663 = 1254
  integer, parameter :: nGC_13664 = 1255
  integer, parameter :: nGC_13300 = 1256
  integer, parameter :: nGC_13140 = 1257
  integer, parameter :: nGC_13392 = 1258
  integer, parameter :: nGC_13408 = 1259
  integer, parameter :: nGC_12221 = 1260
  integer, parameter :: nGC_12028 = 1261
  integer, parameter :: nGC_12382 = 1262
  integer, parameter :: nGC_12228 = 1263
  integer, parameter :: nGC_12023 = 1264
  integer, parameter :: nGC_12322 = 1265
  integer, parameter :: nGC_14840 = 1266
  integer, parameter :: nGC_13065 = 1267
  integer, parameter :: nGC_12193 = 1268
  integer, parameter :: nGC_12336 = 1269
  integer, parameter :: nGC_12335 = 1270
  integer, parameter :: nGC_13534 = 1271
  integer, parameter :: nGC_12838 = 1272
  integer, parameter :: nGC_22183 = 1273
  integer, parameter :: nGC_18208 = 1274
  integer, parameter :: nGC_12422 = 1275
  integer, parameter :: nGC_22109 = 1276
  integer, parameter :: nGC_21933 = 1277
  integer, parameter :: nGC_14027 = 1278
  integer, parameter :: nGC_12206 = 1279
  integer, parameter :: nGC_12205 = 1280
  integer, parameter :: nGC_13331 = 1281
  integer, parameter :: nGC_13332 = 1282
  integer, parameter :: nGC_13339 = 1283
  integer, parameter :: nGC_25554 = 1284
  integer, parameter :: nGC_12430 = 1285
  integer, parameter :: nGC_13409 = 1286
  integer, parameter :: nGC_12353 = 1287
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
