!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_9805) = -sqrt(2d0)*CZdL2x2*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9806) = -sqrt(2d0)*CZdL2x2*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9800) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9803) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9802) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_9809) = -sqrt(2d0)*CZdR2x2*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_9808) = -sqrt(2d0)*CZdR2x2*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9655) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_9657) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_9652) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9659) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_94) = sqrt(2d0)*CZuL3x3*cima*ee*kZL/(cw*sw)
      coupl(nGC_147) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_69) = sqrt(2d0)*CWlR1x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_17) = sqrt(2d0)*CZdL1x2*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdL2x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_9571) = -sqrt(2d0)*cb/2d0
      coupl(nGC_9574) = -sqrt(2d0)*cb*cima/2d0
      coupl(nGC_9577) = -sqrt(2d0)*sb/2d0
      coupl(nGC_9793) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_9682) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_9681) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_9687) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_9685) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_9684) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_22) = sqrt(2d0)*CZlL2x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlL3x2*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_23) = sqrt(2d0)*CZuL1x2*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuL2x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_9689) = cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_26) = sqrt(2d0)*CZdR1x2*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdR2x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_27) = sqrt(2d0)*CZdR1x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdR3x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_24) = sqrt(2d0)*CZuL1x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuL3x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_25) = sqrt(2d0)*CZuL2x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuL3x2*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_153) = sqrt(2d0)*sb*ys/2d0
      coupl(nGC_152) = sqrt(2d0)*cima*sb*ys/2d0
      coupl(nGC_151) = -sqrt(2d0)*sb*ys/2d0
      coupl(nGC_150) = -sqrt(2d0)*cb*cima*ys/2d0
      coupl(nGC_156) = sqrt(2d0)*yt/2d0
      coupl(nGC_155) = -sqrt(2d0)*cima*yt/2d0
      coupl(nGC_154) = cima*yt
      coupl(nGC_159) = -sqrt(2d0)*cima*ytau/2d0
      coupl(nGC_158) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_9799) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_92) = sqrt(2d0)*CZuL1x1*cima*ee*kZL/(cw*sw)
      coupl(nGC_9586) = sqrt(2d0)*cima*sb/2d0
      coupl(nGC_9562) = -gs
      coupl(nGC_9553) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_9552) = ee/(4d0*cMW*sw)
      coupl(nGC_68) = sqrt(2d0)*CWlR1x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_118) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_9550) = cima*cw*ee/sw**2d0
      coupl(nGC_111) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_126) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_9753) = -sqrt(2d0)*CWlL1x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_122) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_120) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
      coupl(nGC_9610) = -sqrt(2d0)/2d0
      coupl(nGC_9613) = -sqrt(2d0)*cima/2d0
      coupl(nGC_128) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*  &
                       vev + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_9617) = -sqrt(2d0)/2d0
      coupl(nGC_9909) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_9859) = -sqrt(2d0)*CZuR1x1*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9856) = -sqrt(2d0)*CZlR3x3*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9857) = -sqrt(2d0)*CZlR3x3*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_9854) = -sqrt(2d0)*CZlL3x3*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9853) = -sqrt(2d0)*CZlL3x3*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9850) = -sqrt(2d0)*cima*ee*kZR*(CZlR2x3 + CZlR3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9851) = -sqrt(2d0)*cima*ee*kZR*(CZlR2x3 + CZlR3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_75) = sqrt(2d0)*CWlR3x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_9845) = -sqrt(2d0)*CZlR2x2*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_85) = sqrt(2d0)*CWqR3x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_76) = sqrt(2d0)*CWlR3x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_70) = sqrt(2d0)*CWlR1x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_141) = sqrt(2d0)*sb*ydo/2d0
      coupl(nGC_9539) = -cima*ee/(4d0*cMW*sw)
      coupl(nGC_9534) = cima*ee/(2d0*cMW)
      coupl(nGC_9537) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_9536) = -ee/(4d0*cMW*sw)
      coupl(nGC_9767) = -sqrt(2d0)*CWlR2x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9761) = -sqrt(2d0)*CWlR1x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9921) = -cima*ee*sw/cw**2d0
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_9600) = -sqrt(2d0)*cb/2d0
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = ee**2d0/(2d0*cw)
      coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_15) = -3d0*cima*lam/2d0
      coupl(nGC_53) = sqrt(2d0)*CWlL2x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_52) = sqrt(2d0)*CWlL1x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_51) = sqrt(2d0)*CWlL1x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_50) = sqrt(2d0)*CWlL1x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_57) = sqrt(2d0)*CWlL3x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_56) = sqrt(2d0)*CWlL3x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_55) = sqrt(2d0)*CWlL2x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_54) = sqrt(2d0)*CWlL2x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_59) = sqrt(2d0)*CWqL1x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_58) = sqrt(2d0)*CWlL3x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_9715) = -sqrt(2d0)*CWqR1x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9717) = -sqrt(2d0)*CWqL1x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_9710) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_9713) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_9712) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_40) = cima*ee/(2d0*sw)
      coupl(nGC_10) = -gs
      coupl(nGC_9719) = -sqrt(2d0)*CWqL1x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_41) = ee/(2d0*sw)
      coupl(nGC_162) = cb*cima*yup
      coupl(nGC_163) = cima*sb*yup
      coupl(nGC_161) = sqrt(2d0)*yup/2d0
      coupl(nGC_9812) = -sqrt(2d0)*cima*ee*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9817) = -sqrt(2d0)*CZdL3x3*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9814) = -sqrt(2d0)*cima*ee*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9815) = -sqrt(2d0)*cima*ee*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9818) = -sqrt(2d0)*CZdL3x3*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9700) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_9733) = -sqrt(2d0)*CWqL2x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_19) = sqrt(2d0)*CZdL2x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdL3x2*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_9706) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_18) = sqrt(2d0)*CZdL1x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdL3x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_9707) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                        2d0)
      coupl(nGC_9691) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_9692) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_9662) = -ee/(2d0*sw**2d0)
      coupl(nGC_9922) = cima*ee/cw
      coupl(nGC_9666) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_9668) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_9887) = -sqrt(2d0)*cima*ee*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9886) = -sqrt(2d0)*cima*ee*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9881) = -sqrt(2d0)*CZuL2x2*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9880) = -sqrt(2d0)*CZuL2x2*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9883) = -sqrt(2d0)*cima*ee*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9865) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9863) = -sqrt(2d0)*CZuL1x1*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9862) = -sqrt(2d0)*CZuL1x1*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9860) = -sqrt(2d0)*CZuR1x1*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_65) = sqrt(2d0)*CWqL3x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_9869) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9868) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_95) = sqrt(2d0)*CZdR1x1*cima*ee*kZR/(cw*sw)
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MH) = -cMH**2d0*cima
      coupl(nGC_9564) = 2d0*cima*gs**2d0
      coupl(nGC_9560) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_9568) = cb*cima
      coupl(nGC_9844) = -sqrt(2d0)*CZlR2x2*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_14) = -cima*lam
      coupl(nGC_13) = -cima*lam/2d0
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_9694) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_9696) = 2d0*cima*ee**2d0/sw
      coupl(nGC_9697) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_9699) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_9591) = cb*cima
      coupl(nGC_9597) = sqrt(2d0)*sb/2d0
      coupl(nGC_9594) = sqrt(2d0)*sb/2d0
      coupl(nGC_9919) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_9918) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_9916) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_9915) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_9913) = cima*ee/(3d0*cw)
      coupl(nGC_9912) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_9910) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_9624) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9627) = -sqrt(2d0)/2d0
      coupl(nGC_9622) = -sqrt(2d0)/2d0
      coupl(nGC_9629) = -sqrt(2d0)*cima/2d0
      coupl(nGC_135) = -cima*sb*yc
      coupl(nGC_134) = cb*cima*yc
      coupl(nGC_137) = -sqrt(2d0)*cb*ydo/2d0
      coupl(nGC_136) = -cima*ydo
      coupl(nGC_131) = -sqrt(2d0)*cima*yb/2d0
      coupl(nGC_130) = -sqrt(2d0)*yb/2d0
      coupl(nGC_9749) = -sqrt(2d0)*CWqR3x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9747) = -sqrt(2d0)*CWqL3x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_9745) = -sqrt(2d0)*CWqL3x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_9743) = -sqrt(2d0)*CWqR3x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9741) = -sqrt(2d0)*CWqL3x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_143) = -sqrt(2d0)*ye/2d0
      coupl(nGC_9829) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x2 + CZlL2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9823) = -sqrt(2d0)*CZlR1x1*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9821) = -sqrt(2d0)*CZdR3x3*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_9820) = -sqrt(2d0)*CZdR3x3*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9827) = -sqrt(2d0)*CZlL1x1*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9826) = -sqrt(2d0)*CZlL1x1*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9824) = -sqrt(2d0)*CZlR1x1*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_9723) = -sqrt(2d0)*CWqL1x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_9757) = -sqrt(2d0)*CWlR1x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_93) = sqrt(2d0)*CZuL2x2*cima*ee*kZL/(cw*sw)
      coupl(nGC_9640) = -cima*sb
      coupl(nGC_9528) = -3d0*cima*vev/2d0
      coupl(nGC_9529) = -3d0*cima*lam/2d0
      coupl(nGC_9522) = -cima/2d0
      coupl(nGC_9520) = -3d0*cima/2d0
      coupl(nGC_9526) = -cima*lam/2d0
      coupl(nGC_9525) = -cima*vev/2d0
      coupl(nGC_9725) = -sqrt(2d0)*CWqR1x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_MWp) = cMWp**2d0*cima
      coupl(nGC_9794) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9797) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9796) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9791) = -sqrt(2d0)*CZdL1x1*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9790) = -sqrt(2d0)*CZdL1x1*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9559) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_9558) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_9556) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_9555) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_9773) = -sqrt(2d0)*CWlR2x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_351) = -coupl(nGC_156)
      coupl(nGC_9678) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_9676) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_48) = ee**2d0/(2d0*sw)
      coupl(nGC_49) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_44) = -cima*cw*ee/sw
      coupl(nGC_45) = cima*cw*ee/sw
      coupl(nGC_46) = -ee**2d0/(2d0*sw)
      coupl(nGC_47) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_42) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_43) = sqrt(2d0)*cb*cima*ee/(2d0*sw)
      coupl(nGC_9702) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_9703) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_9705) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                        )/(cw**3d0*sw**2d0)
      coupl(nGC_9709) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_9673) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_9670) = -cima*ee**2d0/sw**3d0
      coupl(nGC_119) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_127) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_106) = cMW*ee/(2d0*sw)
      coupl(nGC_86) = sqrt(2d0)*CZdL1x1*cima*ee*kZL/(cw*sw)
      coupl(nGC_9777) = -sqrt(2d0)*CWlL3x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_9775) = -sqrt(2d0)*CWlR3x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9771) = -sqrt(2d0)*CWlL2x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_9892) = -sqrt(2d0)*CZuR3x3*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9893) = -sqrt(2d0)*CZuR3x3*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_9672) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_9779) = -sqrt(2d0)*CWlL3x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_133) = sqrt(2d0)*yc/2d0
      coupl(nGC_827) = -coupl(nGC_143)
      coupl(nGC_9874) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9875) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9877) = -sqrt(2d0)*CZuR2x2*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9871) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9872) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9878) = -sqrt(2d0)*CZuR2x2*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_123) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_139) = -sqrt(2d0)*sb*ydo/2d0
      coupl(nGC_28) = sqrt(2d0)*CZdR2x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdR3x2*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_138) = -sqrt(2d0)*cb*cima*ydo/2d0
      coupl(nGC_29) = sqrt(2d0)*CZlR1x2*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlR2x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_919) = -coupl(nGC_3)
      coupl(nGC_9739) = -sqrt(2d0)*CWqR3x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_1269) = -coupl(nGC_41)
      coupl(nGC_20) = sqrt(2d0)*CZlL1x2*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlL2x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_21) = sqrt(2d0)*CZlL1x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlL3x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_9727) = -sqrt(2d0)*CWqL2x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_146) = -sqrt(2d0)*ym/2d0
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_9769) = -sqrt(2d0)*CWlL2x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_157) = -cima*ytau
      coupl(nGC_160) = -sqrt(2d0)*cima*yup/2d0
      coupl(nGC_140) = -sqrt(2d0)*cima*sb*ydo/2d0
      coupl(nGC_99) = sqrt(2d0)*CZlR2x2*cima*ee*kZR/(cw*sw)
      coupl(nGC_98) = sqrt(2d0)*CZlR1x1*cima*ee*kZR/(cw*sw)
      coupl(nGC_97) = sqrt(2d0)*CZdR3x3*cima*ee*kZR/(cw*sw)
      coupl(nGC_96) = sqrt(2d0)*CZdR2x2*cima*ee*kZR/(cw*sw)
      coupl(nGC_9583) = -sqrt(2d0)*cima*sb/2d0
      coupl(nGC_91) = sqrt(2d0)*CZlL3x3*cima*ee*kZL/(cw*sw)
      coupl(nGC_9904) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_9906) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_9907) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_9900) = -sqrt(2d0)*cima*ee*sb/(2d0*sw**2d0)
      coupl(nGC_9902) = sqrt(2d0)*cima*ee*sb/(2d0*sw**2d0)
      coupl(nGC_1165) = -coupl(nGC_45)
      coupl(nGC_74) = sqrt(2d0)*CWlR3x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_77) = sqrt(2d0)*CWqR1x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_9811) = -sqrt(2d0)*cima*ee*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_71) = sqrt(2d0)*CWlR2x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_73) = sqrt(2d0)*CWlR2x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_72) = sqrt(2d0)*CWlR2x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_90) = sqrt(2d0)*CZlL2x2*cima*ee*kZL/(cw*sw)
      coupl(nGC_79) = sqrt(2d0)*CWqR1x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_78) = sqrt(2d0)*CWqR1x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_9631) = cima*sb
      coupl(nGC_9637) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9634) = sqrt(2d0)/2d0
      coupl(nGC_100) = sqrt(2d0)*CZlR3x3*cima*ee*kZR/(cw*sw)
      coupl(nGC_101) = sqrt(2d0)*CZuR1x1*cima*ee*kZR/(cw*sw)
      coupl(nGC_102) = sqrt(2d0)*CZuR2x2*cima*ee*kZR/(cw*sw)
      coupl(nGC_103) = sqrt(2d0)*CZuR3x3*cima*ee*kZR/(cw*sw)
      coupl(nGC_104) = -cMW*ee/(2d0*sw)
      coupl(nGC_105) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_107) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_108) = -sqrt(2d0)*cima*ee*sb/(2d0*sw)
      coupl(nGC_109) = sqrt(2d0)*cima*ee*sb/(2d0*sw)
      coupl(nGC_9731) = -sqrt(2d0)*CWqR2x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9737) = -sqrt(2d0)*CWqL2x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_132) = -sqrt(2d0)*cima*yc/2d0
      coupl(nGC_9580) = -sqrt(2d0)*sb/2d0
      coupl(nGC_125) = -3d0*cima*lam*vev/2d0
      coupl(nGC_9643) = sqrt(2d0)/2d0
      coupl(nGC_9838) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x3 + CZlL3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9839) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x3 + CZlL3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9830) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x2 + CZlL2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9832) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x2 + CZlR2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9833) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x2 + CZlR2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9835) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x3 + CZlR3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_9836) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x3 + CZlR3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9721) = -sqrt(2d0)*CWqR1x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_1693) = -coupl(nGC_137)
      coupl(nGC_9788) = -sqrt(2d0)*CZdR1x1*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_9646) = -sqrt(2d0)*cima/2d0
      coupl(nGC_9649) = sqrt(2d0)/2d0
      coupl(nGC_9781) = -sqrt(2d0)*CWlR3x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_89) = sqrt(2d0)*CZlL1x1*cima*ee*kZL/(cw*sw)
      coupl(nGC_9898) = -sqrt(2d0)*cb*cima*ee/(2d0*sw**2d0)
      coupl(nGC_9783) = -sqrt(2d0)*CWlL3x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_9787) = -sqrt(2d0)*CZdR1x1*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_9785) = -sqrt(2d0)*CWlR3x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_148) = -cima*ys
      coupl(nGC_9549) = -cima*ee/sw
      coupl(nGC_9545) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_9546) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_9547) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_9540) = cMW*cima*ee/(2d0*sw**2d0)
      coupl(nGC_1233) = -2d0*coupl(nGC_5)
      coupl(nGC_9542) = cima*ee/sw
      coupl(nGC_9543) = -cima*cw*ee/sw**2d0
      coupl(nGC_9735) = -sqrt(2d0)*CWqR2x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_87) = sqrt(2d0)*CZdL2x2*cima*ee*kZL/(cw*sw)
      coupl(nGC_9759) = -sqrt(2d0)*CWlL1x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_39) = -cima*ee/(2d0*sw)
      coupl(nGC_38) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_31) = sqrt(2d0)*CZlR2x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlR3x2*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_30) = sqrt(2d0)*CZlR1x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlR3x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_32) = sqrt(2d0)*CZuR1x2*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuR2x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_37) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_36) = -cima*ee**2d0/sw**2d0
      coupl(nGC_145) = -cima*ym
      coupl(nGC_855) = -coupl(nGC_161)
      coupl(nGC_235) = -coupl(nGC_146)
      coupl(nGC_142) = -cima*ye
      coupl(nGC_9660) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_149) = -sqrt(2d0)*cb*ys/2d0
      coupl(nGC_9664) = -cima*ee/(2d0*sw**2d0)
      coupl(nGC_9884) = -sqrt(2d0)*cima*ee*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_9679) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_35) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_66) = sqrt(2d0)*CWqL3x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_67) = sqrt(2d0)*CWqL3x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_64) = sqrt(2d0)*CWqL2x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_9763) = -sqrt(2d0)*CWlR2x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_9603) = -sqrt(2d0)*cb*cima/2d0
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_9889) = -sqrt(2d0)*CZuL3x3*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_61) = sqrt(2d0)*CWqL1x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_9841) = -sqrt(2d0)*CZlL2x2*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_9842) = -sqrt(2d0)*CZlL2x2*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_117) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_9847) = -sqrt(2d0)*cima*ee*kZL*(CZlL2x3 + CZlL3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_9848) = -sqrt(2d0)*cima*ee*kZL*(CZlL2x3 + CZlL3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_9751) = -sqrt(2d0)*CWlR1x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_MI) = -cima
      coupl(nGC_81) = sqrt(2d0)*CWqR2x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_9619) = -sqrt(2d0)*cima/2d0
      coupl(nGC_124) = -cima*lam*vev/2d0
      coupl(nGC_116) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_9890) = -sqrt(2d0)*CZuL3x3*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_9755) = -sqrt(2d0)*CWlL1x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_63) = sqrt(2d0)*CWqL2x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_121) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_20454) = -coupl(nGC_10)
      coupl(nGC_9866) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_I) = cima
      coupl(nGC_34) = sqrt(2d0)*CZuR2x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuR3x2*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_129) = -cima*yb
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_33) = sqrt(2d0)*CZuR1x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuR3x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_9729) = -sqrt(2d0)*CWqR2x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_183) = cima*gs
      coupl(nGC_88) = sqrt(2d0)*CZdL3x3*cima*ee*kZL/(cw*sw)
      coupl(nGC_9765) = -sqrt(2d0)*CWlL2x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_80) = sqrt(2d0)*CWqR2x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_82) = sqrt(2d0)*CWqR2x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_83) = sqrt(2d0)*CWqR3x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_84) = sqrt(2d0)*CWqR3x2*cima*ee*kWR/(2d0*sw)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
