!******************************************************************************!
!                                                                              !
!    tcVVV1.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVV1.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVV1
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42, x43, x44
  contains
    subroutine treeVVV1(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,  &
    VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVV1)
!       Epsilon(-1,1,2,3)*P(-1,1)*c0
!       Epsilon(-1,1,2,3)*P(-1,3)*c1/2
!       Epsilon(-1,1,2,3)*P(-1,2)*c2
        if (last) VB_last = .true.
        x0 = w1(2)*w2(3)
        x1 = P1(2)*w1(3)
        x2 = w2(1)*x1
        x3 = P1(3)*w1(1)
        x4 = w2(2)*x3
        x5 = w1(3)*w2(2)
        x6 = P1(1)*x5
        x7 = w1(1)*w2(3)
        x8 = w1(2)*w2(1)
        x9 = P1(3)*x8
        x10 = P2(2)*w1(3)
        x11 = w2(1)*x10
        x12 = w1(1)*w2(2)
        x13 = P2(3)*x12
        x14 = P2(1)*x5
        x15 = P2(3)*x8
        x16 = P1(2) + P2(2)
        x17 = P1(1) + P2(1)
        x18 = co(1)/2
        x19 = w2(0)*x1
        x20 = w1(0)*w2(2)
        x21 = P1(3)*x20
        x22 = P1(0)*x5
        x23 = w1(0)*w2(3)
        x24 = w1(2)*w2(0)
        x25 = P1(3)*x24
        x26 = w2(0)*x10
        x27 = P2(3)*x20
        x28 = P2(0)*x5
        x29 = P2(3)*x24
        x30 = P1(0) + P2(0)
        x31 = w1(3)*w2(0)
        x32 = w1(0)*w2(1)
        x33 = w1(3)*w2(1)
        x34 = -P1(0)*x33 + P1(0)*x7 - P1(1)*x23 + P1(1)*x31 + P1(3)*x32 - w2(0 &
        )*x3
        x35 = w1(1)*w2(0)
        x36 = -P2(0)*x33 + P2(0)*x7 - P2(1)*x23 + P2(1)*x31 + P2(3)*x32 - P2(3 &
        )*x35
        x37 = P1(1)*x24
        x38 = P1(2)*x32
        x39 = P1(0)*x8
        x40 = P1(2)*x35
        x41 = P2(1)*x24
        x42 = P2(2)*x32
        x43 = P2(0)*x8
        x44 = P2(2)*x35
        wout(0) = co(0)*(P1(1)*x0 - P1(2)*x7 + x2 + x4 - x6 - x9) + co(2)*(P2(1&
                  )*x0 - P2(2)*x7 + x11 + x13 - x14 - x15) + x18*(-x0*x17 - x11&
                   - x13 + x14 + x15 + x16*x7 - x2 - x4 + x6 + x9)
        wout(1) = co(0)*(P1(0)*x0 - P1(2)*x23 + x19 + x21 - x22 - x25) + co(2  &
                  )*(P2(0)*x0 - P2(2)*x23 + x26 + x27 - x28 - x29) + x18*(-x0* &
                  x30 + x16*x23 - x19 - x21 + x22 + x25 - x26 - x27 + x28 + x29&
                  )
        wout(2) = -co(0)*x34 - co(2)*x36 + x18*(x34 + x36)
        wout(3) = co(0)*(P1(0)*x12 - P1(1)*x20 + x37 + x38 - x39 - x40) + co(2 &
                  )*(P2(0)*x12 - P2(1)*x20 + x41 + x42 - x43 - x44) + x18*(-x12&
                  *x30 + x17*x20 - x37 - x38 + x39 + x40 - x41 - x42 + x43 +   &
                  x44)
      end select 
    end subroutine treeVVV1
end module tcVVV1
